> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lagena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Inspect an API key

> Returns non-secret metadata for the authenticated API key.



## OpenAPI

````yaml /openapi/public-api.json get /v1/auth/api-key
openapi: 3.1.0
info:
  title: Digital Human API
  version: 1.0.0
  description: >-
    Create and manage realtime digital-human sessions. API keys must be used
    only from trusted server code.
servers:
  - url: https://api.livefaces.ai
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Authentication
    description: Inspect the authenticated API-key principal.
  - name: Sessions
    description: Create, refresh, inspect, and end digital-human sessions.
paths:
  /v1/auth/api-key:
    get:
      tags:
        - Authentication
      summary: Inspect an API key
      description: Returns non-secret metadata for the authenticated API key.
      operationId: inspectApiKey
      responses:
        '200':
          description: Authenticated API-key principal
          headers:
            X-Request-ID:
              $ref: '#/components/headers/RequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyPrincipal'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  headers:
    RequestId:
      description: Identifier for support and request correlation.
      schema:
        type: string
  schemas:
    ApiKeyPrincipal:
      type: object
      additionalProperties: false
      required:
        - api_key_id
        - organization_id
        - scopes
        - expires_at
      properties:
        api_key_id:
          type: string
          format: uuid
        organization_id:
          type: string
          format: uuid
        scopes:
          type: array
          items:
            type: string
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
    ApiError:
      type: object
      additionalProperties: false
      required:
        - code
        - detail
        - request_id
      properties:
        code:
          type: string
        detail: {}
        request_id:
          type: string
  responses:
    Unauthorized:
      $ref: '#/components/responses/ErrorBody'
      description: Missing or invalid API key
    ErrorBody:
      description: API error
      headers:
        X-Request-ID:
          $ref: '#/components/headers/RequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: A server-side Digital Human API key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.